JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.comm.amiga
Class SignalHandler

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.kit.comm.amiga.SignalHandler

public abstract class SignalHandler
extends ListNode
implements java.lang.Runnable

A SignalHandler is a base class for handlers that will be called by a SignalDispatcher.

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Constructor Summary
`SignalHandler()`

Method Summary
`int` `getSignalNumber()`
`void` `setSignalNumber(int sn)`
`java.lang.String` `toString()`

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, clone, prepend, remove`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SignalHandler

    public SignalHandler()

Method Detail

### getSignalNumber

    public int getSignalNumber()

  Returns:
    The signal number that this object will handle.

### setSignalNumber

    public void setSignalNumber(int sn)

  Parameters:
    `sn` - The signal number that this object will handle.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class ListNode

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002